package com.dcs.hnyz.service;

import com.dcs.hnyz.domain.Flow;

import java.util.List;

/**
 * 流程Service接口
 * 
 * @author hmy
 * @date 2025-03-08
 */
public interface IFlowService
{
    /**
     * 查询流程
     * 
     * @param flowId 流程主键
     * @return 流程
     */
    public Flow selectFlowByFlowId(Long flowId);

    /**
     * 查询流程列表
     * 
     * @param flow 流程
     * @return 流程集合
     */
    public List<Flow> selectFlowList(Flow flow);

    /**
     * 新增流程
     * 
     * @param flow 流程
     * @return 结果
     */
    public int insertFlow(Flow flow);

    /**
     * 修改流程
     * 
     * @param flow 流程
     * @return 结果
     */
    public int updateFlow(Flow flow);

    /**
     * 批量删除流程
     * 
     * @param flowIds 需要删除的流程主键集合
     * @return 结果
     */
    public int deleteFlowByFlowIds(Long[] flowIds);

    /**
     * 删除流程信息
     * 
     * @param flowId 流程主键
     * @return 结果
     */
    public int deleteFlowByFlowId(Long flowId);

    /**
     * 获取流程名称
     */
    public String selectFlowNameByFlowId(Long flowId);

    /**
     * 根据设备id获取流程列表
     * @param equipmentId
     * @param flowType 流程类型
     * @return
     */
    List<Flow> getFlowList(Long equipmentId,String flowType);
}
